---
title: stemv
slug: Web/SVG/Attribute/stemv
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p><span class="seoSummary">The <strong><code>stemv</code></strong> attribute indicates the vertical stem width of the font.</span></p>

<p>The vertical stem width is the width of vertical (or near-vertical) stems of {{Glossary("glyphs")}}. This information is often tied to hinting, and may not be directly accessible in some font formats. The measurement is meant for the dominant vertical stem in the font because there might be different groupings of vertical stems (e.g., one main one, and one lighter weight one as for an uppercase "M" or "N").</p>

<p>If this attribute is used, the {{SVGAttr("units-per-em")}} must also be used.</p>

<p>Only one element is using this attribute: {{SVGElement("font-face")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value indicates the vertical stem width of the font.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceElementStemvAttribute", "stemv")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font-face.stemv")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("stemh")}}</li>
</ul>
